(Beta) Update a Customer-Controlled Cluster

Update a Customer-Controlled Cluster using its unique identifier. You can provide any combination of supported fields. If a field is not provided, the field will not be updated.



Token Permissions: [ dc:put ]

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
string
required

The cloud provider of the customer-controlled cluster. Must match the provider the private region was created with; it is never used to change the provider.

string
length between 0 and 255
^[A-Za-z0-9._/:-]+$
Defaults to gcr.io/gcp-maas-prod

The container registry to use for downloading Mission Control Agent and event broker images.

string
Defaults to gp2

The name of the Kubernetes storage class for broker persistent volumes. The default is gp2.

cloudAgentPodLabels
object

The labels to apply to the Mission Control Agent pod.

primaryPodLabels
object

The labels to apply to the primary pod.

backupPodLabels
object

The labels to apply to the backup pod.

monitorPodLabels
object

The labels to apply to the monitoring pod.

string
Defaults to gcr-reg-secret

The name of the Kubernetes secret that contains the container registry credentials. The default is gcr-reg-secret.

cloudAgentNodeSelectors
object

The node selectors to apply to the Mission Control Agent pod.

primaryNodeSelectors
object

The node selectors to apply to the primary pod.

backupNodeSelectors
object

The node selectors to apply to the backup pod.

monitorNodeSelectors
object

The node selectors to apply to the monitoring pod.

boolean
Defaults to true

Indicates whether to apply Kubernetes node selectors based on the service class. A value of true applies node selectors to schedule pods on appropriate nodes, and false disables this behavior. The default is true.

cloudAgentTolerations
array of objects

The tolerations to apply to the Mission Control Agent pod.

cloudAgentTolerations
primaryTolerations
array of objects

The tolerations to apply to the primary pod.

primaryTolerations
backupTolerations
array of objects

The tolerations to apply to the backup pod.

backupTolerations
monitorTolerations
array of objects

The tolerations to apply to the monitoring pod.

monitorTolerations
externalServiceAnnotations
array of objects

The annotations on Kubernetes services for public connections endpoints of event brokers.

externalServiceAnnotations
internalServiceAnnotations
array of objects

The annotations on Kubernetes services for private connection endpoints of event brokers.

internalServiceAnnotations
serviceAnnotations
array of objects

The annotations to apply to Kubernetes service resources for legacy load balancer configuration.

serviceAnnotations
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*